\name{mat2vec}
\alias{mat2vec}
\title{
This function produces a row wise half-vectorization of a \eqn{D \times D}{D x D} matrix.
}
\description{
This function converts a \eqn{D \times D}{D x D} matrix into a vector. It takes only the diagonal and the elements under the diagonal.
}
\usage{
mat2vec(mat)
}

\arguments{
  \item{mat}{A square matrix (typically a symmetric or a lower triangular).}
}

\value{
A vector with length \eqn{D(D+1)/2}, where the elements are concatenated row wise up to the diagonal.
}

\examples{
#create a lower triangular matrix and convert it into a vector.
mat <- rbind(c(1,0),c(2,3))
vec <- mat2vec(mat)
}
