\name{normalMixtureModel-class}
\Rdversion{1.1}
\docType{class}
\alias{normalMixtureModel-class}


\title{class for normal mixtures}
\description{
This class formalizes normal mixture models.
}
\section{Objects from the Class}{
Objects can be created by calls of the function \code{\link{createNormalMixtureModel}}, using \code{new()} or as a part of the returned value of \code{\link{gaussianMixtureMLE}}.

}
\section{Slots}{
  \describe{
    \item{\code{p}:}{weights of the mixture components}
    \item{\code{mu}:}{means of the k components}
    \item{\code{sigma}:}{standard deviations or covariance matrices of the k components}
    \item{\code{dimension}:}{dimension of the dataset}
  }
}
\section{Methods}{
  \describe{
    \item{plot}{see \code{\link[pGME]{plot-methods}}}
    \item{simulate}{\code{\link[pGME]{simulate-methods}}}
	 }
}
\examples{
#one dimensional case
m0 = createNormalMixtureModel(p=c(0.3,0.4),mu=c(1,3,3.5),sigma=c(0.8,0.8,0.8))
plot(m0)


#2 dimensional case
s0 = array(dim=c(2,2,2))
s0[,,1] = 0.2*c(1,0.8,0.8,1)
s0[,,2] = 0.4*c(1,-0.5,-0.5,1)
model2 = createNormalMixtureModel(p=0.7,mu=cbind(c(1,1),c(3,3)),sigma=s0)
plot(model2)
}

\keyword{classes}
