\name{plot-methods}
\docType{methods}
\alias{plot,normalMixtureModel-method}
\title{ plot the density of a normal mixture}
\description{
This generic function plots the density of a given normal mixture model (e.g. of an object of type \code{\link{normalMixtureModel-class}}). 
}
\section{Methods}{
\describe{

\item{\code{signature(x = "normalMixtureModel")}}{}
}}
\keyword{methods}

\examples{
#one dimensional case
m0 = createNormalMixtureModel(p=c(0.5),mu=c(1,2),sigma=c(0.8,0.8))
plot(m0)

#2 dimensional case
sigma <- array(dim=c(2,2,2))
sigma[,,1] <- 0.2*c(1,0.8,0.8,1)
sigma[,,2] <- 0.4*c(1,-0.5,-0.5,1)
m2 <- createNormalMixtureModel(p = 0.7, mu = cbind(c(1,1),c(3,3)), sigma = sigma)
plot(m2)
}
\seealso{
\code{\link{plotComponents}}
}