\name{plotComponents}
\alias{plotComponents}

\title{
plot single components of a normal mixture
}
\description{
This function plots the weighted single components of a given normal mixture in one figure.
}
\usage{
plotComponents(object, add = FALSE, main = "")
}

\arguments{
  \item{object}{
normal mixture model which should be used, see \code{\link{normalMixtureModel-class}} or \code{\link{createNormalMixtureModel}}, possibly an estimated model using \code{\link{gaussianMixtureMLE}}  
}
  \item{add}{
select TRUE, to add the plot to an existing plot
}
  \item{main}{
main title of the plot
}
}

\seealso{
\code{\link[pGME]{plot-methods}}
}
\examples{
m0 = createNormalMixtureModel(p=c(0.3,0.4),mu=c(1,3,3.5),sigma=c(0.8,0.8,0.8))
plotComponents(object=m0)
}

