\name{simulate-methods}
\docType{methods}
\alias{simulate,normalMixtureModel,numeric-method}
\title{ simulate data of a normal mixture}
\description{
This generic function simulates a dataset of a given normal mixture model (e.g. of an object of type \code{\link{normalMixtureModel-class}}).  
}
\section{Methods}{
\describe{

\item{\code{signature(object = "normalMixtureModel", nsim = "numeric")}}{}
}}
\keyword{methods}

\examples{
#one dimensional case
m1 <- createNormalMixtureModel(p = c(0.3,0.4), mu = c(1,3,3.5), sigma = c(0.8,0.8,0.8))
x <- simulate(object = m1, nsim = 250)
plot(density(x))

#2 dimensional case
sigma <- array(dim = c(2,2,2))
sigma[,,1] <- 0.2*c(1,0.8,0.8,1)
sigma[,,2] <- 0.4*c(1,-0.5,-0.5,1)
m2 <- createNormalMixtureModel(p = 0.7, mu = cbind(c(1,1),c(3,3)), sigma = sigma)
x <- simulate(object = m2, nsim = 700)
plot(x, pch = 19, cex = 0.7)
}
